package com.huaching.parking.local.parking_local_general.domain.local.pojo.chargeCalculator;

import java.util.List;

/**
 * @program: parking_local_general
 * @description: 按照时段收费
 * @author: lidongsheng
 * @createData: 2020-05-27 10:53
 * @updateAuthor: lidongsheng
 * @updateData: 2020-05-27 10:53
 * @updateContent: 按照时段收费
 * @Version: 1.0.0
 * @email: lidongshenglife@163.com
 * @blog: www.b0c0.com
 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */


/*
TimeFrameChargeDetail：
首时段：30分钟 收费5元
后续：
00：00-07：00时间端内每分钟收费2元
07:00-20:30时间端内每小时钟收费4元
20:30-00:00时间端内一共收费3元
//json数组
{
    "fastTime": 30,
    "frameType": 0,
    "fastMoney": 50,
        "data": [
            {
                //"frameType": 0 按分钟收费
                "frameType": 0,
                "beginTime": "00:00",
                "endTime": "07:00",
                //表示在00：00-07：00时间端内每分钟收费2元
                "money": 200
            },
            {
                //"frameType": 1 按小时收费
                "frameType": 1,
                "beginTime": "07:00",
                "endTime": "20:30",
                //表示在07:00-20:30时间端内每小时钟收费4元
                "money": 400
            },
            {
                //"frameType": 2 按固定收费
                "frameType": 2,
                "beginTime": "20:30",
                "endTime": "00:00",
                //表示在20:30-00:00时间端内一共收费3元
                "money": 300
            }
        ]
}
 */
public class TimeFrameChargeDetailPOJO {

    private String beginTime;
    private String endTime;
    private Integer money;
    private Integer frameType;

    public Integer getFrameType() {
        return frameType;
    }

    public void setFrameType(Integer frameType) {
        this.frameType = frameType;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getMoney() {
        return money;
    }

    public void setMoney(Integer money) {
        this.money = money;
    }
}
